#!/bin/sh

if [ -z "$SEQUOIA_HOME" ] ; then 
  echo "Cannot find Sequoia home directory. Please set the SEQUOIA_HOME environment variable."
  exit 1
fi
HSQL_HOME=$SEQUOIA_HOME/3rdparty/hsqldb

# JAVA setup
#
# We try to use first the java JVM in JAVA_HOME and if not found, 
# we use the one found in the classpath.
# You can specify additional options to give to the Java JVM in the
# JVM_OPTIONS environment variable.
if [ -z "$JAVA_HOME" ]
then
    JAVA=`which java`
else
    JAVA=$JAVA_HOME/bin/java
fi
export JAVA

# CLASSPATH definition
CLASSPATH=$CLASSPATH:$HSQL_HOME/lib/hsqldb.jar

# Start hsqldb
DATA=$2
# Assume that default is to start HSQLDB on port 9001
if [ -z "$DATA" ]; then DATA="9001"; fi
DATA=$HSQL_HOME/data/$DATA
if [ ! -d $DATA ]; then mkdir $DATA; fi
cd $DATA
cp $HSQL_HOME/data/*.* $DATA

${JAVA} ${JVM_OPTIONS} -classpath $CLASSPATH  org.hsqldb.Server "$@"
