@echo off

Rem SEQUOIA_HOME definition
if exist %SEQUOIA_HOME% goto begin
echo "Cannot find Sequoia home directory. Please set the SEQUOIA_HOME environment variable."
goto end

:begin

:java
Rem JAVA setup.
Rem
Rem We try to use first the java JVM in JAVA_HOME and if not found, 
Rem we use the one found in the path.
Rem You can specify additional options to give to the Java JVM in the
Rem JVM_OPTIONS environment variable.
SET JAVA=java
if not exist %JAVA_HOME%\bin\java goto definition
SET JAVA=%JAVA_HOME%\bin\java

:definition

SET HSQL_HOME=%SEQUOIA_HOME%\3rdparty\hsqldb
SET ISQL_HOME=%SEQUOIA_HOME%\3rdparty\iSQL
SET SEQUOIA_DEFAULT_JVMDEBUG_PORT=52002

Rem IPv6 is untested
SET JVM_OPTIONS=%JVM_OPTIONS% -Djava.net.preferIPv4Stack=true

Rem Uncomment to debug
Rem SET JVM_OPTIONS=%JVM_OPTIONS% -enableassertions -Xdebug -Xnoagent -Djava.compiler=none -Xrunjdwp:transport=dt_socket,server=y,suspend=n,address=%SEQUOIA_DEFAULT_JVMDEBUG_PORT%

:classpath
Rem Set the classpath.
SET CLASSPATH=;%SEQUOIA_HOME%\drivers\sequoia-driver.jar;%ISQL_HOME%\lib\bsf.jar;%ISQL_HOME%\lib\isql-core.jar;%ISQL_HOME%\lib\jpython1.1.jar;%ISQL_HOME%\lib\lax.jar;%ISQL_HOME%\lib\mozilla-rhino;%HSQL_HOME%\lib\hsqldb.jar;%CLASSPATH_XTRA%



Rem Change directory if needed
cd %ISQL_HOME%

Rem Java Command.
%JAVA% %JVM_OPTIONS%  -classpath %CLASSPATH% com.zerog.lax.LAX iSQL-Viewer.lax  %1 %2 %3 %4 %5 %6 %7 %8 %9

:end
