#!/bin/sh

if [ -z "$SEQUOIA_HOME" ] ; then 
  echo "Cannot find Sequoia home directory. Please set the SEQUOIA_HOME environment variable."
  exit 1
fi

cd $SEQUOIA_HOME/bin

echo "Starting (localhost1) hsqldb on port 9001"
./hsqldb.sh -port 9001 &

echo "Starting (localhost2) hsqldb on port 9002"
./hsqldb.sh -port 9002 &

echo "Starting (recovery log controller 1) hsqldb on port 9003"
./hsqldb.sh -port 9003 &

echo "Waiting for hsqldb servers to finish start up"
sleep 5

echo "Starting Controller 1"
./controller.sh -f ../config/controller/controller-distributed-1.xml &
